org.apache.flume.source

## Class AbstractEventDrivenSource

- java.lang.Object
- - org.apache.flume.source.BasicSourceSemantics
  - - org.apache.flume.source.AbstractEventDrivenSource

- All Implemented Interfaces:
    Configurable, EventDrivenSource, LifecycleAware, NamedComponent, Source

      @InterfaceAudience.Public
      @InterfaceStability.Evolving
      public abstract class AbstractEventDrivenSource
      extends BasicSourceSemantics
      implements EventDrivenSource

  Base class which ensures sub-classes will inherit all the properties of BasicSourceSemantics. Adds no additional functionality and is provided for completeness sake.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractEventDrivenSource()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.flume.source.BasicSourceSemantics

      `configure, doConfigure, doStart, doStop, getChannelProcessor, getLifecycleState, getName, getStartException, isStarted, setChannelProcessor, setLifecycleState, setName, start, stop, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.flume.Source

      `getChannelProcessor, setChannelProcessor`

    - ### Methods inherited from interface org.apache.flume.lifecycle.LifecycleAware

      `getLifecycleState, start, stop`

    - ### Methods inherited from interface org.apache.flume.NamedComponent

      `getName, setName`

- - ### Constructor Detail

    - #### AbstractEventDrivenSource

          public AbstractEventDrivenSource()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.